IllegalPropertyValueException (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.exception

## Class IllegalPropertyValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tv.amwa.maj.exception.IllegalPropertyValueException

- All Implemented Interfaces:
    Serializable, MAJException

      public class IllegalPropertyValueException
      extends RuntimeException
      implements MAJException

  Thrown when a parameter to a method call of an object is outside the acceptable range or of the wrong type for that object in its current state. This exception can be thrown for all property definitions passed to methods of a type definition if the type of the property does not match the defined type.

  Equivalent C result code: `AAFRESULT_ILLEGAL_VALUE 0x8012016A`

  See Also:
    `PictureDescriptor`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalPropertyValueException()` Create a new illegal value exception with no message.
    `IllegalPropertyValueException(String msg)` Create a new illegal value exception with the given descriptive message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalPropertyValueException

          public IllegalPropertyValueException(String msg)

      Create a new illegal value exception with the given descriptive message.

      Parameters:
        `msg` - Message describing the exception.

    - #### IllegalPropertyValueException

          public IllegalPropertyValueException()

      Create a new illegal value exception with no message.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.